> For the complete documentation index, see [llms.txt](https://docs.easy.gg/scripting/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.easy.gg/scripting/bedwars-scripting/events/projectilehit.md).

# ProjectileHit

Example usage:

```lua
Events.ProjectileHit(function(event)
    -- Only continue if the projectile that hit was Whim's nature spell
    if (event.projectileType == "mage_spell_nature") then
        local blockAt = BlockService.getBlockAt(event.position)
        if (blockAt.blockType == ItemType.DIRT) then
            BlockService.placeBlock(ItemType.GRASS, event.position)
            ModelService.createModel(ModelType.DAISY, blockAt.position + Vector3.new(0,2.5,0))
        end
    end
end)
```

### Parameters

#### shooter: [Entity](/scripting/bedwars-scripting/objects/entity.md) | nil

The entity that launched the projectile (may not exist).

#### projectileType: [ProjectileType](/scripting/bedwars-scripting/types/projectiletype.md)

The type of projectile that hit.

#### position: [Vector3](https://create.roblox.com/docs/reference/engine/datatypes/Vector3)

The position that the projectile hit.

#### hitEntity:  [Entity](/scripting/bedwars-scripting/objects/entity.md) | nil

The entity that was hit by the projectile (may not exist).

#### cancelled: bool <mark style="color:yellow;">\[modifiable]</mark>

If set to true, the projectile hit will be cancelled.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.easy.gg/scripting/bedwars-scripting/events/projectilehit.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
